org.eclipse.emf.cdo.transaction

## Class CDODefaultTransactionHandler3

- java.lang.Object
- - org.eclipse.emf.cdo.transaction.CDODefaultTransactionHandler3

- All Implemented Interfaces:
    CDOTransactionHandler2, CDOTransactionHandler3, CDOTransactionHandlerBase

      public class CDODefaultTransactionHandler3
      extends Object
      implements CDOTransactionHandler3

  An empty default implementation of `CDOTransactionHandler3`.
  Since:
    4.1
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CDODefaultTransactionHandler3()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `committedTransaction(CDOTransaction transaction, CDOCommitContext commitContext)` Deprecated.
    `void` | `committedTransaction(CDOTransaction transaction, CDOCommitContext commitContext, CDOCommitInfo result)` This implementation does nothing.
    `void` | `committingTransaction(CDOTransaction transaction, CDOCommitContext commitContext)` This implementation does nothing.
    `void` | `rolledBackTransaction(CDOTransaction transaction)` This implementation does nothing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDODefaultTransactionHandler3

          protected CDODefaultTransactionHandler3()

  - ### Method Detail

    - #### committingTransaction

          public void committingTransaction(CDOTransaction transaction,
                                            CDOCommitContext commitContext)

      This implementation does nothing. Clients may override to provide specialized behavior.
      Specified by:
        `committingTransaction` in interface `CDOTransactionHandler2`

    - #### committedTransaction

          @Deprecated
          public void committedTransaction(CDOTransaction transaction,
                                                        CDOCommitContext commitContext)

      Deprecated.
      Description copied from interface: `CDOTransactionHandler2`
      Called by a `CDOTransaction` after it is being committed. The implementor of this method is not allowed to throw an unchecked exception.

      If you're interested in the results of the commit operation consider to implement `CDOTransactionHandler3.committedTransaction()`.

      Specified by:
        `committedTransaction` in interface `CDOTransactionHandler2`

    - #### committedTransaction

          public void committedTransaction(CDOTransaction transaction,
                                           CDOCommitContext commitContext,
                                           CDOCommitInfo result)

      This implementation does nothing. Clients may override to provide specialized behavior.
      Specified by:
        `committedTransaction` in interface `CDOTransactionHandler3`

    - #### rolledBackTransaction

          public void rolledBackTransaction(CDOTransaction transaction)

      This implementation does nothing. Clients may override to provide specialized behavior.
      Specified by:
        `rolledBackTransaction` in interface `CDOTransactionHandler2`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html